# Pattern randomizer presets for u-he Repro-1

---

**Updated to work with any Repro-1 version**  

Tested in Repro-1 1.1.1 r11152

---

Here's a small collection of scripted presets that should make working with patterns in [Repro-1](http://www.u-he.com/cms/repro-1) a little bit more joyful. 36 presets in total.

`01 Enable Arp Mode.h2p`  

Enables Arpeggiator and Sequencer. Effectively turns any preset into a sequenced one, while keeping all other synth settings intact.

Next is a bunch of note randomizers. Each time you run these presets they will generate a different set of notes from predefined scales. Each preset has its own feel, and some of them are more random then the others:  

`02 Randomize Notes (Bassline).h2p`  
`03 Randomize Notes (Alt 1).h2p`  
`04 Randomize Notes (Alt 2).h2p`  
`05 Randomize Notes (Alt 3).h2p`  
`06 Randomize Notes (Octaves).h2p`  
`07 Randomize Notes (Pentatonic).h2p`  
`08 Randomize Notes (4+5).h2p`  
`09 Randomize Notes (News).h2p`  
`10 Randomize Notes (Tresor).h2p`  
`11 Randomize Notes (Twins 1).h2p`  
`12 Randomize Notes (Twins 2).h2p`  
`13 Randomize Notes (Waterfall).h2p`  
`14 Randomize Notes (Wild).h2p`  

Note type randomizers:  

`15 Randomize Type (Rest).h2p`  
`16 Randomize Type (Tied).h2p`  
`17 Randomize Type (Wild).h2p`  

Velocity randomizers:  

`18 Randomize Velocity (1-127).h2p`  
`19 Randomize Velocity (1-10).h2p`  
`20 Randomize Velocity (1-64).h2p`  
`21 Randomize Velocity (64-127).h2p`  

This one will shuffle the number of active steps in both patterns, while keeping the length of the resulting sequence:  

`22 Rebalance Active Steps.h2p`  

The rest are helper scripts.

Duplicate stuff (if there's enough space to duplicate to):  

`23 Duplicate Notes.h2p`  
`24 Duplicate Types.h2p`  
`25 Duplicate Velocity.h2p`  

Transpose notes by semitones or octaves:  

`26 Notes +1.h2p`  
`27 Notes -1.h2p`  
`28 Notes +12.h2p`  
`29 Notes -12.h2p`  

Increase and decrease velocity:  

`30 Velocity +10.h2p`  
`31 Velocity -10.h2p`  

Reset parameters:  

`32 Reset Notes.h2p`  
`33 Reset Types.h2p`  
`34 Reset Velocity to 1.h2p`  
`35 Reset Velocity to 64.h2p`  
`36 Reset Velocity to 127.h2p`  

All presets except 22-25 are active pattern aware and will only affect parameters in the currently active pattern. This allows you to target specific areas using Pattern switch (1, 2, 1+2) in the Sequencer panel of the Repro-1.

[Discussion on KVR](https://www.kvraudio.com/forum/viewtopic.php?f=31&t=475459)
